VULKAN_HPP_NAMESPACE::DrawMeshTasksIndirectCommandNV Struct Reference

`#include <vulkan.hpp>`

## Public Member Functions

| DrawMeshTasksIndirectCommandNV (uint32_t taskCount_=0, uint32_t firstTask_=0)
| DrawMeshTasksIndirectCommandNV (VkDrawMeshTasksIndirectCommandNV const &rhs)
DrawMeshTasksIndirectCommandNV & | operator= (VkDrawMeshTasksIndirectCommandNV const &rhs)
DrawMeshTasksIndirectCommandNV & | setTaskCount (uint32_t taskCount_)
DrawMeshTasksIndirectCommandNV & | setFirstTask (uint32_t firstTask_)
| operator VkDrawMeshTasksIndirectCommandNV const & () const
| operator VkDrawMeshTasksIndirectCommandNV & ()
bool | operator== (DrawMeshTasksIndirectCommandNV const &rhs) const
bool | operator!= (DrawMeshTasksIndirectCommandNV const &rhs) const

## Data Fields

uint32_t | taskCount
uint32_t | firstTask

## Detailed Description

Definition at line 7843 of file vulkan.hpp.

## Constructor & Destructor Documentation

## DrawMeshTasksIndirectCommandNV() [1/2]

VULKAN_HPP_NAMESPACE::DrawMeshTasksIndirectCommandNV::DrawMeshTasksIndirectCommandNV | ( | uint32_t | taskCount_ = `0`,
|  | uint32_t | firstTask_ = `0`
| ) |  |

inline

Definition at line 7845 of file vulkan.hpp.

: taskCount( taskCount_ )
, firstTask( firstTask_ )
{
}

## DrawMeshTasksIndirectCommandNV() [2/2]

VULKAN_HPP_NAMESPACE::DrawMeshTasksIndirectCommandNV::DrawMeshTasksIndirectCommandNV | ( | VkDrawMeshTasksIndirectCommandNV const & | rhs | ) |

inline

Definition at line 7852 of file vulkan.hpp.

{
memcpy( this, &rhs, sizeof( DrawMeshTasksIndirectCommandNV ) );
}

References memcpy.

## Member Function Documentation

## operator VkDrawMeshTasksIndirectCommandNV &()

VULKAN_HPP_NAMESPACE::DrawMeshTasksIndirectCommandNV::operator VkDrawMeshTasksIndirectCommandNV & | ( |  | ) |

inline

Definition at line 7879 of file vulkan.hpp.

{
return *reinterpret_cast<VkDrawMeshTasksIndirectCommandNV*>(this);
}

## operator VkDrawMeshTasksIndirectCommandNV const &()

VULKAN_HPP_NAMESPACE::DrawMeshTasksIndirectCommandNV::operator VkDrawMeshTasksIndirectCommandNV const & | ( |  | ) | const

inline

Definition at line 7874 of file vulkan.hpp.

{
return *reinterpret_cast<const VkDrawMeshTasksIndirectCommandNV*>(this);
}

## operator!=()

bool VULKAN_HPP_NAMESPACE::DrawMeshTasksIndirectCommandNV::operator!= | ( | DrawMeshTasksIndirectCommandNV const & | rhs | ) | const

inline

Definition at line 7890 of file vulkan.hpp.

{
return !operator==( rhs );
}

References operator==().

## operator=()

DrawMeshTasksIndirectCommandNV& VULKAN_HPP_NAMESPACE::DrawMeshTasksIndirectCommandNV::operator= | ( | VkDrawMeshTasksIndirectCommandNV const & | rhs | ) |

inline

Definition at line 7857 of file vulkan.hpp.

{
memcpy( this, &rhs, sizeof( DrawMeshTasksIndirectCommandNV ) );
return *this;
}

References memcpy.

## operator==()

bool VULKAN_HPP_NAMESPACE::DrawMeshTasksIndirectCommandNV::operator== | ( | DrawMeshTasksIndirectCommandNV const & | rhs | ) | const

inline

Definition at line 7884 of file vulkan.hpp.

{
return ( taskCount == rhs.taskCount )
&& ( firstTask == rhs.firstTask );
}

References firstTask, and taskCount.

Referenced by operator!=().

## setFirstTask()

DrawMeshTasksIndirectCommandNV& VULKAN_HPP_NAMESPACE::DrawMeshTasksIndirectCommandNV::setFirstTask | ( | uint32_t | firstTask_ | ) |

inline

Definition at line 7868 of file vulkan.hpp.

{
firstTask = firstTask_;
return *this;
}

References firstTask.

## setTaskCount()

DrawMeshTasksIndirectCommandNV& VULKAN_HPP_NAMESPACE::DrawMeshTasksIndirectCommandNV::setTaskCount | ( | uint32_t | taskCount_ | ) |

inline

Definition at line 7862 of file vulkan.hpp.

{
taskCount = taskCount_;
return *this;
}

References taskCount.

## Field Documentation

## firstTask

uint32_t VULKAN_HPP_NAMESPACE::DrawMeshTasksIndirectCommandNV::firstTask

Definition at line 7896 of file vulkan.hpp.

Referenced by operator==(), and setFirstTask().

## taskCount

uint32_t VULKAN_HPP_NAMESPACE::DrawMeshTasksIndirectCommandNV::taskCount

Definition at line 7895 of file vulkan.hpp.

Referenced by operator==(), and setTaskCount().

The documentation for this struct was generated from the following file:

- src/video/khronos/vulkan/vulkan.hpp

memcpy
#define memcpy
Definition: SDL_malloc.c:630
VkDrawMeshTasksIndirectCommandNV
Definition: vulkan_core.h:8677
VULKAN_HPP_NAMESPACE::DrawMeshTasksIndirectCommandNV::operator==
bool operator==(DrawMeshTasksIndirectCommandNV const &rhs) const
Definition: vulkan.hpp:7884
VULKAN_HPP_NAMESPACE::DrawMeshTasksIndirectCommandNV::DrawMeshTasksIndirectCommandNV
DrawMeshTasksIndirectCommandNV(uint32_t taskCount_=0, uint32_t firstTask_=0)
Definition: vulkan.hpp:7845
VULKAN_HPP_NAMESPACE::DrawMeshTasksIndirectCommandNV::taskCount
uint32_t taskCount
Definition: vulkan.hpp:7895
VULKAN_HPP_NAMESPACE::DrawMeshTasksIndirectCommandNV::firstTask
uint32_t firstTask
Definition: vulkan.hpp:7896